assert node.os == 'arch'

defaults = {
    'pacman': {
        'packages': {
            # fonts
            'fontconfig': {},
            'ttf-dejavu': {
                'needed_by': {
                    'pkg_pacman:sddm',
                },
            },

            # login management
            'sddm': {},

            # networking
            'netctl': {},
            'rfkill': {},
            'wpa_supplicant': {},
            'wpa_actiond': {},

            # shell and other gui stuff
            'fish': {},
            'kitty': {},
            'light': {},
            'redshift': {},
            'rofi': {},

            # sound
            'pavucontrol': {},
            'pulseaudio': {},
            'pulseaudio-zeroconf': {},

            # window management
            'i3-wm': {},
            'i3lock': {},
            'xss-lock': {},

            # Xorg
            'xf86-input-libinput': {},
            'xorg-server': {},
            'xorg-setxkbmap': {},
            'xorg-xev': {},
            'xorg-xinput': {},
            'xorg-xset': {},
        },
    },
}
